aboutsummaryrefslogtreecommitdiff
path: root/share/trashman/debian-backports/unix/linux/debian/check
diff options
context:
space:
mode:
Diffstat (limited to 'share/trashman/debian-backports/unix/linux/debian/check')
-rwxr-xr-xshare/trashman/debian-backports/unix/linux/debian/check28
1 files changed, 28 insertions, 0 deletions
diff --git a/share/trashman/debian-backports/unix/linux/debian/check b/share/trashman/debian-backports/unix/linux/debian/check
new file mode 100755
index 0000000..1448199
--- /dev/null
+++ b/share/trashman/debian-backports/unix/linux/debian/check
@@ -0,0 +1,28 @@
+#!/usr/bin/env sh
+#
+# Check if nodejs is installed system-wide.
+#
+
+# Parameters
+SHARE="$1"
+
+# Include basic functions
+. $SHARE/trashman/functions || exit 1
+. $SHARE/trashman/debian || exit 1
+
+# Custom parameters
+BACKPORTS="/etc/apt/sources.list/backports.list"
+
+# Check if installed
+if [ -e "$BACKPORTS" ]; then
+ exit 0
+fi
+
+# Check if not installed
+if [ ! -e "$BACKPORTS" ]; then
+ exit !
+fi
+
+# Will never run, but it's here to remember that we can check if the package is
+# partially installed
+exit 2